Skip to main content
PUT
Update dashboard notification

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowClient Credentials
Token URL
https://console.vantage.sh/account/profile
Scopes1
write
Grants write access

Path Parameters

dashboard_notification_token
string
required

Body

application/json

Update a DashboardNotification.

title
string

The title of the DashboardNotification.

dashboard_token
string

The Dashboard token. Retargeting requires edit access to the new Dashboard.

user_tokens
string[]

The Users that receive the notification.

recipient_emails
string[]

Email addresses that receive the notification. Must be organization users, on the account's SSO domain, or an approved third-party service address.

frequency
enum<string>

The frequency the DashboardNotification is sent. Possible values: daily, weekly, monthly.

Available options:
daily,
weekly,
monthly

Response

DashboardNotification model

token
string
required
title
string
required

The title of the DashboardNotification.

Example:

"Weekly Executive Dashboard"

dashboard_token
string
required

The token for the Dashboard the DashboardNotification sends.

Example:

"dshbrd_abcd1234"

workspace_token
string
required

The token for the Workspace the DashboardNotification is a part of.

Example:

"wrkspc_abcd1234567890"

user_tokens
string[]
required

The tokens of organization users that receive the notification. Freeform SSO-domain and approved third-party emails are not included; see recipient_emails.

recipient_emails
string[]
required

The email addresses that receive the notification, including organization users, SSO-domain addresses, and approved third-party addresses.

frequency
enum<string>
required

The frequency the DashboardNotification is sent.

Available options:
daily,
weekly,
monthly
Example:

"weekly"